### Method

# FwupdPlugin ArchiveFirmware set_compression

since: 1.8.1

#### Declaration [src]

    void
    fu_archive_firmware_set_compression (
      FuArchiveFirmware* self,
      FuArchiveCompression compression
    )

#### Description [src]

Sets the compression.

Available since: 1.8.1

#### Parameters

`compression`

  Type: `FuArchiveCompression`

  The compression, e.g. `FU_ARCHIVE_COMPRESSION_NONE`.